Nelder-Mead User's Manual

Abstract

In this document, we present the Nelder-Mead component provided in Scilab.
The introduction gives a brief overview of the optimization features of the 
component and present an introductory example. Then we present some theory 
associated with the simplex, a geometric concept which is central in
the Nelder-Mead algorithm. We present several method to compute an
initial simplex. Then we present Spendley's et al. fixed shape unconstrained 
optimization algorithm. Several numerical experiments are provided, which 
shows how this algorithm performs on well-scaled and badly scaled quadratics. 
In the final section, we present the Nelder-Mead variable shape 
unconstrained optimization algorithm. Several numerical experiments are presented,
where some of these are counter examples, that is cases where the algorithms 
fails to converge on a stationnary point. In the appendix of this document,
the interested reader will find a bibliography of simplex-based algorithms,
along with an analysis of the various implementations which are available 
in several programming languages.

Author

Copyright (C) 2008-2010 - Consortium Scilab - Digiteo - Michael Baudin

Licence

This document is released under the terms of the Creative Commons Attribution-ShareAlike 3.0 Unported License :

http://creativecommons.org/licenses/by-sa/3.0/

